## javax.faces.component
Class UIComponentBase

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase

All Implemented Interfaces:
  StateHolder

Direct Known Subclasses:
  UIColumn, UICommand, UIData, UIForm, UIGraphic, UIMessage, UIMessages, UINamingContainer, UIOutput, UIPanel, UIParameter, UISelectItem, UISelectItems, UIViewRoot

public abstract class UIComponentBase
extends UIComponent

see Javadoc of JSF Specification

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Constructor Summary
`UIComponentBase()`

Method Summary
`protected void` `addFacesListener(FacesListener listener)`
`void` `broadcast(FacesEvent event)`
`void` `decode(FacesContext context)`
`void` `encodeBegin(FacesContext context)`
`void` `encodeChildren(FacesContext context)`
`void` `encodeEnd(FacesContext context)`
`UIComponent` `findComponent(java.lang.String expr)`
`java.util.Map` `getAttributes()`
`int` `getChildCount()`
`java.util.List` `getChildren()`
`java.lang.String` `getClientId(FacesContext context)`
`protected FacesContext` `getFacesContext()`
`protected FacesListener[]` `getFacesListeners(java.lang.Class clazz)`
`UIComponent` `getFacet(java.lang.String name)`
`java.util.Map` `getFacets()`
`java.util.Iterator` `getFacetsAndChildren()`
`java.lang.String` `getId()`
`UIComponent` `getParent()`
`protected Renderer` `getRenderer(FacesContext context)`
`java.lang.String` `getRendererType()`
`boolean` `getRendersChildren()`
`ValueBinding` `getValueBinding(java.lang.String name)`
`boolean` `isRendered()`
`boolean` `isTransient()`
`void` `processDecodes(FacesContext context)`
`void` `processRestoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `processSaveState(FacesContext context)`
`void` `processUpdates(FacesContext context)`
`void` `processValidators(FacesContext context)`
`void` `queueEvent(FacesEvent event)`
`protected void` `removeFacesListener(FacesListener listener)`
`static java.lang.Object` `restoreAttachedState(FacesContext context, java.lang.Object stateObj)`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`static java.lang.Object` `saveAttachedState(FacesContext context, java.lang.Object attachedObject)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setId(java.lang.String id)`
`void` `setParent(UIComponent parent)`
`void` `setRendered(boolean rendered)`
`void` `setRendererType(java.lang.String rendererType)`
`void` `setTransient(boolean transientFlag)`
`void` `setValueBinding(java.lang.String name, ValueBinding binding)`

Methods inherited from class javax.faces.component.UIComponent
`getFamily`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIComponentBase

    public UIComponentBase()

Method Detail

### getAttributes

    public java.util.Map getAttributes()

  Specified by:
    `getAttributes` in class `UIComponent`

### getValueBinding

    public ValueBinding getValueBinding(java.lang.String name)

  Specified by:
    `getValueBinding` in class `UIComponent`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                ValueBinding binding)

  Specified by:
    `setValueBinding` in class `UIComponent`

### getClientId

    public java.lang.String getClientId(FacesContext context)

  Specified by:
    `getClientId` in class `UIComponent`
  Parameters:
    `context` -
  Returns:
    String

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in class `UIComponent`

### setId

    public void setId(java.lang.String id)

  Specified by:
    `setId` in class `UIComponent`

### getParent

    public UIComponent getParent()

  Specified by:
    `getParent` in class `UIComponent`

### setParent

    public void setParent(UIComponent parent)

  Specified by:
    `setParent` in class `UIComponent`

### getRendersChildren

    public boolean getRendersChildren()

  Specified by:
    `getRendersChildren` in class `UIComponent`

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in class `UIComponent`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in class `UIComponent`

### findComponent

    public UIComponent findComponent(java.lang.String expr)

  Specified by:
    `findComponent` in class `UIComponent`
  Parameters:
    `expr` -
  Returns:
    UIComponent

### getFacets

    public java.util.Map getFacets()

  Specified by:
    `getFacets` in class `UIComponent`

### getFacet

    public UIComponent getFacet(java.lang.String name)

  Specified by:
    `getFacet` in class `UIComponent`

### getFacetsAndChildren

    public java.util.Iterator getFacetsAndChildren()

  Specified by:
    `getFacetsAndChildren` in class `UIComponent`

### broadcast

    public void broadcast(FacesEvent event)
                   throws AbortProcessingException

  Specified by:
    `broadcast` in class `UIComponent`
  Throws:
    `AbortProcessingException`

### decode

    public void decode(FacesContext context)

  Specified by:
    `decode` in class `UIComponent`

### encodeBegin

    public void encodeBegin(FacesContext context)
                     throws java.io.IOException

  Specified by:
    `encodeBegin` in class `UIComponent`
  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(FacesContext context)
                        throws java.io.IOException

  Specified by:
    `encodeChildren` in class `UIComponent`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(FacesContext context)
                   throws java.io.IOException

  Specified by:
    `encodeEnd` in class `UIComponent`
  Throws:
    `java.io.IOException`

### addFacesListener

    protected void addFacesListener(FacesListener listener)

  Specified by:
    `addFacesListener` in class `UIComponent`

### getFacesListeners

    protected FacesListener[] getFacesListeners(java.lang.Class clazz)

  Specified by:
    `getFacesListeners` in class `UIComponent`

### removeFacesListener

    protected void removeFacesListener(FacesListener listener)

  Specified by:
    `removeFacesListener` in class `UIComponent`

### queueEvent

    public void queueEvent(FacesEvent event)

  Specified by:
    `queueEvent` in class `UIComponent`

### processDecodes

    public void processDecodes(FacesContext context)

  Specified by:
    `processDecodes` in class `UIComponent`

### processValidators

    public void processValidators(FacesContext context)

  Specified by:
    `processValidators` in class `UIComponent`

### processUpdates

    public void processUpdates(FacesContext context)

  Specified by:
    `processUpdates` in class `UIComponent`

### processSaveState

    public java.lang.Object processSaveState(FacesContext context)

  Specified by:
    `processSaveState` in class `UIComponent`

### processRestoreState

    public void processRestoreState(FacesContext context,
                                    java.lang.Object state)

  Specified by:
    `processRestoreState` in class `UIComponent`

### getFacesContext

    protected FacesContext getFacesContext()

  Specified by:
    `getFacesContext` in class `UIComponent`

### getRenderer

    protected Renderer getRenderer(FacesContext context)

  Specified by:
    `getRenderer` in class `UIComponent`

### isTransient

    public boolean isTransient()

### setTransient

    public void setTransient(boolean transientFlag)

### saveAttachedState

    public static java.lang.Object saveAttachedState(FacesContext context,
                                                     java.lang.Object attachedObject)

### restoreAttachedState

    public static java.lang.Object restoreAttachedState(FacesContext context,
                                                        java.lang.Object stateObj)
                                                 throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### saveState

    public java.lang.Object saveState(FacesContext context)

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

### setRendered

    public void setRendered(boolean rendered)

  Specified by:
    `setRendered` in class `UIComponent`

### isRendered

    public boolean isRendered()

  Specified by:
    `isRendered` in class `UIComponent`

### setRendererType

    public void setRendererType(java.lang.String rendererType)

  Specified by:
    `setRendererType` in class `UIComponent`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `UIComponent`